aggregate_properties_by_regexp
aggregate
Object Aggregation Functions
PHP Manual

# aggregate_properties

Dynamic aggregation of class properties to an object

### Description

void aggregate_properties ( object `$object` , string `$class_name` )

Aggregates all properties defined in a class to an existing object, except for properties whose names start with an underscore character (_) which are considered private to the aggregated class.

### Parameters

`object`

`class_name`

### Return Values

No value is returned.

### See Also

- aggregate
- aggregate_methods
- aggregate_methods_by_list
- aggregate_methods_by_regexp
- aggregate_properties
- aggregate_properties_by_list
- aggregate_properties_by_regexp
- deaggregate